%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%define module turbocheetah

Name:           python-turbocheetah
Version:        0.9.5
Release:        7%{?dist}
Summary:        TurboGears plugin to support use of Cheetah templates

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org/docs/plugins/template.html
Source0:        http://cheeseshop.python.org/packages/source/T/TurboCheetah/TurboCheetah-%{version}.tar.gz
Patch0:         %{name}-%{version}-setuptools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools python-devel
Requires:       python-cheetah >= 1.0

%description
This package provides a template engine plugin, allowing you
to easily use Cheetah with TurboGears, Buffet and other tools that
support the python.templating.engines entry point.


%prep
%setup -q -n TurboCheetah-%{version}
%patch0


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -fr %{buildroot}/%{python_sitelib}/%{module}/tests


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/%{module}/
%{python_sitelib}/TurboCheetah-%{version}-py%{pyver}.egg-info


%changelog
* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-7
- Add python-devel to BuildRequires

* Fri Dec  8 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-6
- Rebuild for new python

* Tue Oct 17 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-5
- python-turbocheetah-0.9.5-setuptools.patch

* Tue Oct 10 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-4
- Fix Source0
- Own %%{python_sitelib}/turbocheetah

* Fri Oct  6 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-3
- Add python-setuptools to BuildRequires
- Remove tests directory

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-2
- Rename to python-turbocheetah
- Install egg-info
- Add README

* Sat Sep 16 2006 Luke Macken <lmacken@redhat.com> - 0.9.5-1
- Initial creation
